Another YUM problem - Conflicts Issue - Repo prob?
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 5 of 5
  1. #1
    Join Date
    Apr 2007
    Posts
    5

    Another YUM problem - Conflicts Issue - Repo prob?

    Hi, my first post here. Well, i use the graphic yum interfase, installing things...but now i have a problem.
    >yum update

    .
    .
    .
    Error: elfutils-libelf conflicts with elfutils-libelf-devel > 0.123-1.fc6
    Error: elfutils-libelf conflicts with elfutils > 0.123-1.fc6
    Error: elfutils-libs conflicts with elfutils > 0.123-1.fc6
    I have also other problem with some dependencies..but 'solved' them using the yum faq recomendation. (remove right side).../and then..after update, (try installing it again*) <-*this part still undone
    I was thinking, in doing the same with conflics...but as elfutils is a dependeny of yum and other 'important stuff' like man ..so i stopped and come here.
    I also see people talking about the problem of repos conflicts. Could this be the starting problem?
    This is my yum.conf:
    [main]
    cachedir=/var/cache/yum
    keepcache=0
    debuglevel=2
    logfile=/var/log/yum.log
    pkgpolicy=newest
    distroverpkg=redhat-release
    tolerant=1
    exactarch=1
    obsoletes=1
    gpgcheck=1
    plugins=1
    metadata_expire=1800

    # PUT YOUR REPOS HERE OR IN separate files named file.repo
    # in /etc/yum.repos.d
    And in my yum.repos dir:
    atrpms.repo fedora-extras.repo flash.repo livna-devel.repo
    fedora-core.repo fedora-legacy.repo freshrpms.repo livna.repo
    fedora-development.repo fedora-updates.repo jpackage.repo livna-testing.repo
    fedora-extras-development.repo fedora-updates-testing.repo kde-redhat.repo rpmforge.repo
    ┐Should i erase some of them?
    Thx for any answers..

  2. #2
    Join Date
    Jun 2005
    Location
    Westminster, Colorado
    Posts
    2,306
    Axel is a prodigious contributor and I hate to diss him, but I've had *way* to many conflicts from his repo and I simply don't use it any more.
    Run this:
    Code:
    rpm -q $( rpm -q --whatprovides elfutils-libelf )
    and if the return does not end in "fc6", then you probably have a repo conflict.
    Registered Linux User #4837
    411th in line to get sued by Micro$oft
    Basically, to learn Unix you learn to understand and apply a small set of key ideas and achieve expertise by expanding both the set of ideas and your ability to apply them - Paul Murphy

  3. #3
    Join Date
    Apr 2007
    Posts
    5
    rpm -q $( rpm -q --whatprovides elfutils-libelf )
    elfutils-libelf-0.123-1.fc6
    elfutils-libelf-0.126-1.fc6
    ...i guess i dont have. Know how can i solve the problem? (1rt quote -1rt message)

  4. #4
    Seve's Avatar
    Seve is offline Retired Community Manager
    Join Date
    Oct 2004
    Location
    The GTA, Ontario, Canada
    Age
    60
    Posts
    12,371
    Hello:
    If you have a read through this bug : Bugzilla Bug 224233 it deals with your issue and I believe it provides a solution as well.

    Seve
    Registered Linux User: #384977
    .................................................. ............
    See the Links below for more Help and those much wanted extras ... :)


  5. #5
    Join Date
    Apr 2007
    Posts
    5
    thx, after doing some rpm erasing i finally can update.
    ))
    Cya.

Similar Threads

  1. Issue with atrpms repo config in fedoraguide
    By gorpon in forum Using Fedora
    Replies: 1
    Last Post: 15th June 2009, 02:29 PM
  2. Newbie to Fedora - Repo Issue
    By net_boy in forum Alpha, Beta & Snapshots Discussions (Fedora 10 Only)
    Replies: 1
    Last Post: 9th November 2008, 12:51 AM
  3. repo conflicts
    By drobbins in forum Using Fedora
    Replies: 3
    Last Post: 11th November 2007, 07:55 PM
  4. Weird repo issue..
    By ihavenoname in forum Using Fedora
    Replies: 2
    Last Post: 5th September 2006, 07:08 AM
  5. conflicts problem with libreadline
    By ask_save in forum Using Fedora
    Replies: 2
    Last Post: 31st July 2006, 09:27 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •